{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if and .Values.apps.oxAppsuite.enabled .Values.protectedServices.enabled }}
---
apiVersion: {{ .Values.protectedServices.apiVersion | quote }}
kind: "ProtectedService"
metadata:
  name: "{{ include "common.names.fullname" . }}-open-xchange-core-ui"
  namespace: {{ .Values.apps.oxAppsuite.namespace | default .Release.Namespace | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.additionalLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.additionalLabels "context" . ) | nindent 4 }}
    {{- end }}
  {{- if .Values.additionalAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.additionalAnnotations "context" . ) | nindent 4 }}
  {{- end }}
spec:
  name: "open-xchange-core-ui"
...
{{- end }}
